Bug 84796 - openssl096 0.9.6-13 requires libc.so.6(GLIBC_2.3)
openssl096 0.9.6-13 requires libc.so.6(GLIBC_2.3)
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Stable
i686 Linux
low Severity low
: ---
: ---
Assigned To: Mihai Ibanescu
Red Hat Satellite QA List
:
Depends On: 89018
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-21 09:34 EST by Patrick C. F. Ernzer
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 13:54:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kickstart file used to build machine (7.48 KB, text/plain)
2003-02-21 09:37 EST, Patrick C. F. Ernzer
no flags Details
sat-app's kickstart file (5.72 KB, text/plain)
2003-02-21 10:06 EST, Josef Komenda
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2003-02-21 09:34:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
just installed an AS2.1 from kickstart followed by 'up2adte -fu'.

I get:
Unresolvable chain of dependencies:
openssl096  0.9.6-13                     requires libc.so.6(GLIBC_2.3)


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. kickstart install AS2.1
2. 'up2date -fu'
    

Actual Results:  Unresolvable chain of dependencies:
openssl096  0.9.6-13                     requires libc.so.6(GLIBC_2.3)


Expected Results:  resolution of dependency

Additional info:

kickstart file will follow
Comment 1 Patrick C. F. Ernzer 2003-02-21 09:37:41 EST
Created attachment 90242 [details]
kickstart file used to build machine

'up2date -fu' was executed by hand upon reboot to find out why I was left with
a non-updated machine after kickstart.

the serialnumber of rhnreg_ks was edited you need top enter your own when
testing
Comment 2 Josef Komenda 2003-02-21 10:06:16 EST
Created attachment 90244 [details]
sat-app's kickstart file

I kickstarted a machine here and ran up2date -u with no problems. Feel free to
compare.
Comment 3 Patrick C. F. Ernzer 2003-02-21 10:10:52 EST
joek was not able to reproduce (I'm using a RHN proxy), dropping prio and
severity until I can reproduce without RHN proxy
Comment 4 Patrick C. F. Ernzer 2003-02-21 10:18:45 EST
*sigh* problem persists after backing out the RPM that changes the config so
that the internal RHN proxy is used.
Will re-isntall the machine without ever configuring the internal RHN proxy and
post update her.
leaving prio low until then
Comment 5 Patrick C. F. Ernzer 2003-02-22 12:31:29 EST
could not reproduce when not ever using local RHN proxy after install.

misa: is this a fluke on the local RHN proxy (if yes, close) or does this
warrant further debugging on the RHN proxy?
Comment 6 Chip Turner 2003-02-22 19:57:48 EST
is it possible you have a package by the same nvre in one of your custom
channels?  that would possibly explain why you have trouble pointing through a
proxy but not at our main servers
Comment 7 Patrick C. F. Ernzer 2003-02-22 21:36:41 EST
https://rhn.redhat.com/network/software/packages/newer_versions.pxt?pid=35665
lists two versions for openssl096-0.9.6-13-i386, differentiated by errata number.

The errata are  RHSA-2002:160-21 and  RHSA-2002:161-21.

Both links point to
https://rhn.redhat.com/network/software/packages/details.pxt?pid=35741

The machine exhibiting the problem[1] in only subscribed to the 'Red Hat
Advanced Server for i386' channel (subscription by token in kickstart). That
channel shows in the package list (as expected) only one version of
openssl096-0.9.6-13

I have the same behaviour of the web interface when logged onto RHN as 'pcfe'.

[1]: https://rhn.redhat.com/network/systems/details/channels.pxt?sid=1002268382
Comment 8 Mihai Ibanescu 2003-04-16 12:41:37 EDT
It may be a fluke on the local RHN proxy, but I'd still like to have it traced,
if possible. Sorry for dropping this bug on the floor. If you can still
reproduce it against the proxy, I'd try to debug what's going on.
Comment 9 Patrick C. F. Ernzer 2003-05-02 06:35:46 EDT
I'm in a different office now, but khuang has the possibility to reproduce as he
is in the office . No idea if he has spare time though.

Kiat: *prettypleasewithsugarontop*

side note: sid=1002268382 is a test machine, as this got re-installed since
reporting the bug, the profile was deleted by me
Comment 10 Mihai Ibanescu 2005-09-30 13:54:01 EDT
No progress. If this is still an issue please reopen.

Note You need to log in before you can comment on or make changes to this bug.